/*                          
 * mBench: The Open Source Micro Benchmark Tool 
 *                                             
 * Distributable under GPL license. 
 * See terms of license at gnu.org.                 
 *
 * Copyright (C) 2005 Sumisho Computer Systems Corp.
 */
package test.jp.co.scs.mbench.stub;

import jp.co.scs.mbench.BenchmarkTerminateException;
import jp.co.scs.mbench.Initializer;

/**
 *      @author Toshio Sugahara
 */
public class StubInitializeManager02
        implements Initializer {

    private String initializerName = null;

    private boolean executeFlg = false;

    public String getInitializerName() {
        return this.initializerName;
    }

    public void setInitializerName(String initializerName) {
        this.initializerName = initializerName;
    }

    public boolean isExecuteFlg() {
        return this.executeFlg;
    }

    public void setExecuteFlg(boolean executeFlg) {
        this.executeFlg = executeFlg;
    }

    public void execute() throws BenchmarkTerminateException {
        throw new BenchmarkTerminateException();
    }
}
